<?php
namespace Deployer;

require __DIR__ . '/vendor/deployer/deployer/recipe/common.php';

set('keep_releases', 10);

localhost()
	->stage('development')
	->set('deploy_path', __DIR__ . '/../target/example.com/www');

// https://deployer.org/docs/hosts

task('deploy:copy_application', function() {
	writeln('Deploying to ' . get('release_path'));
	upload(__DIR__ . '/', get('release_path'));
});

// https://deployer.org/docs/flow
task('deploy', [
	'deploy:prepare', // checks env and prepares folder for new release
	'deploy:lock',
	'deploy:release',

	'deploy:copy_application',

	'deploy:shared', // need because migrations
	'deploy:writable',
	'deploy:clear_paths', // not needed now

	//'deploy:db_migrations',
	//'deploy:warm_up_cache',

	'deploy:symlink', // swap to current release

	//'deploy:reload_consumers', // email queue processors, etc...

	'deploy:unlock',
	'cleanup', // remove old releases
	'success',
]);


// [Optional] if deploy fails automatically unlock.
after('deploy:failed', 'deploy:unlock');
